sailpoint.object

## Class QueryOptions

- java.lang.Object
- - sailpoint.object.QueryOptions

    public class QueryOptions
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `QueryOptions.Ordering`

### Constructor Summary

Constructors
Constructor and Description
`QueryOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryOptions` `add(Filter... res)`
`QueryOptions` `addFilter(Filter f)`
`QueryOptions` `addOrdering(java.lang.String name, boolean ascending)`
`java.util.List<Filter>` `getFilters()`
`int` `getFirstRow()`
`void` `setDistinct(boolean b)`
`void` `setFilters(java.util.List<Filter> filters)`
`QueryOptions` `setOrderAscending(boolean b)`
`QueryOptions` `setOrderBy(java.lang.String name)`
`QueryOptions` `setResultLimit(int limit)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryOptions

    public QueryOptions()

### Method Detail

#### addFilter

    public QueryOptions addFilter(Filter f)

#### add

    public QueryOptions add(Filter... res)

#### setOrderBy

    public QueryOptions setOrderBy(java.lang.String name)

#### setOrderAscending

    public QueryOptions setOrderAscending(boolean b)

#### setDistinct

    public void setDistinct(boolean b)

#### setResultLimit

    public QueryOptions setResultLimit(int limit)

#### getFirstRow

    public int getFirstRow()

#### addOrdering

    public QueryOptions addOrdering(java.lang.String name,
                                    boolean ascending)

#### getFilters

    public java.util.List<Filter> getFilters()

#### setFilters

    public void setFilters(java.util.List<Filter> filters)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`